## kmymoney 5.2.1+p24.04+vunstable+git20251009.0543

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 Alexander Lohnau <alexander.lohnau@gmx.de>

# For all the configurable CMake switches, please see https://invent.kde.org/office/kmymoney/-/wikis/home#cmake-switches

# The CMake version we require
cmake_minimum_required(VERSION 3.16)

option(BUILD_STATIC_PLUGINS "Build the plugins statically" OFF)

set(KF6_MIN_VERSION 6.1)
set(KF5_MIN_VERSION 5.90)
set(QT6_MIN_VERSION 6.7)
set(QT5_MIN_VERSION 5.15.2)
set(KDE5_MIN_LEVEL 5.82)
set(KDE6_MIN_LEVEL ${KF6_MIN_VERSION})

# adds option BUILD_WITH_QT6
list(APPEND CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)
include(QtVersionOption)
set(KF_MIN_VERSION ${KF${QT_MAJOR_VERSION}_MIN_VERSION})
set(QT_MIN_VERSION ${QT${QT_MAJOR_VERSION}_MIN_VERSION})
set(KDE_COMPILERSETTINGS_LEVEL ${KDE${QT_MAJOR_VERSION}_MIN_LEVEL})

if (NOT BUILD_STATIC_PLUGINS)
    set(AKONADI_MIN_VERSION 5.14.2)
    if(BUILD_WITH_QT6)
        set(AKONADI_MIN_VERSION 6.0.0)
    endif()
endif()


set(RELEASE_SERVICE_VERSION_MAJOR "5")
set(RELEASE_SERVICE_VERSION_MINOR "2")
set(RELEASE_SERVICE_VERSION_MICRO "70")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

# Use ccache if available
find_program(CCACHE_PROGRAM ccache)
if(CCACHE_PROGRAM)
    set_property(GLOBAL PROPERTY RULE_LAUNCH_COMPILE "${CCACHE_PROGRAM}")
endif()

# Setting the name of the main project
project(KMyMoney VERSION "${RELEASE_SERVICE_VERSION}" LANGUAGES CXX)

# Minimum versions required for extern packages
set(KMM_ALKIMIA_MIN_VERSION 8.1.90)
set(KMM_KCHART_MIN_VERSION 2.6.0)
# LibOFX uses two different version numbers. find_package looks for the
# library's so version whereas pkg_check_modules retrieves the package
# version. Details can be found in the libofx source code
set(KMM_LIBOFX_MIN_VERSION 0.10.0)
set(KMM_LIBOFX_MIN_SOVERSION 7.0.0)
set(KMM_AQBANKING_MIN_VERSION 6.5.0)
set(KMM_GWENHYWFAR_MIN_VERSION 5.10.1)
if(BUILD_WITH_QT6)
  set(KMM_GWENHYWFAR_MIN_VERSION 5.12.1)
endif()

# Determine the GIT reference (if we're based on GIT)
if(EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/.git")
  execute_process(COMMAND git rev-parse --short HEAD
          WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}"
          OUTPUT_VARIABLE VERSION_SUFFIX
          OUTPUT_STRIP_TRAILING_WHITESPACE)
  set(VERSION_SUFFIX "-${VERSION_SUFFIX}")
  # Add variables which are similar to the build in names of cmake
  set(PROJECT_VERSION_SUFFIX "${VERSION_SUFFIX}")
  set(${PROJECT_NAME}_VERSION_SUFFIX "${VERSION_SUFFIX}")
elseif(DEFINED VERSION_SUFFIX)
  string(REGEX REPLACE "-*(.+)" "\\1" DASHFREE_SUFFIX "${VERSION_SUFFIX}")
  set(PROJECT_VERSION_SUFFIX "-${DASHFREE_SUFFIX}")
  set(${PROJECT_NAME}_VERSION_SUFFIX "-${DASHFREE_SUFFIX}")
endif()

if (POLICY CMP0063)
  cmake_policy(SET CMP0063 NEW) # Policy introduced in CMake version 3.3
endif()
if (POLICY CMP0127)
  cmake_policy(SET CMP0127 NEW) # Policy introduced in CMake version 3.22
endif()

set(CMAKE_EXPORT_COMPILE_COMMANDS ON)

######################### General Requirements ##########################

if (CMAKE_COMPILER_IS_GNUCXX AND CMAKE_CXX_COMPILER_VERSION VERSION_LESS 6.0.0)
    message(FATAL_ERROR "This version of KMyMoney requires at least gcc 6.0.0 to be built successfully")
endif()

# To build shared libraries in Windows, we set CMAKE_WINDOWS_EXPORT_ALL_SYMBOLS to TRUE.
# See https://cmake.org/cmake/help/v3.4/variable/CMAKE_WINDOWS_EXPORT_ALL_SYMBOLS.html
# See https://blog.kitware.com/create-dlls-on-windows-without-declspec-using-new-cmake-export-all-feature/
set(CMAKE_WINDOWS_EXPORT_ALL_SYMBOLS ON)

set(APPLE_SUPPRESS_X11_WARNING TRUE)

find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
list(APPEND CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
include(KDEInstallDirs)
include(KDECMakeSettings)

include(FeatureSummary)
include(CMakeDependentOption)

include(GenerateExportHeader)
include(KMyMoneyMacros)
set(KMM_ADD_TESTS_ENVIRONMENT "LANG=C.UTF-8")

include(KDEGitCommitHooks)
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

if(BUILD_WITH_QT6)
    message(WARNING
      "This is the first release with Qt6/KF6 support."
      " If you find an error, please open a bug report at"
      " https://bugs.kde.org/enter_bug.cgi?product=kmymoney."
    )
    # allow QString("...")
    add_definitions(
        -UQT_NO_CAST_FROM_ASCII
        -UQT_NO_CAST_FROM_BYTEARRAY
        -UQT_NO_CAST_TO_ASCII
        -UQT_NO_CAST_TO_BYTEARRAY
    )
endif()

add_definitions(
    -DKF_DEPRECATED_WARNINGS_SINCE=0x60000
    -DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x56200C
    -DQT_DEPRECATED_WARNINGS_SINCE=0x60000
    -DQT_DISABLE_DEPRECATED_BEFORE=0x50f02
)

message(STATUS "cmake version: ${CMAKE_VERSION}")

# GPG Encryption checks
# ---------------------
set(GPG_FOUND FALSE)
if(BUILD_WITH_QT6)
    find_package(QGpgmeQt6)
    if(QGpgmeQt6_FOUND)
        set(GPG_FOUND TRUE)
        set(GPG_DIR ${QGpgmeQt6_DIR})
        set(GPG_LIBRARY QGpgmeQt6)
        set(GPG_VERSION ${QGpgmeQt6_VERSION})
    endif()
else()
    find_package(QGpgme)
    if (QGpgme_FOUND)
        set(GPG_FOUND TRUE)
        set(GPG_DIR ${QGpgme_DIR})
        set(GPG_LIBRARY QGpgme)
        set(GPG_VERSION ${QGpgme_VERSION})
    else()
        find_package(Gpgmepp)
        if (Gpgmepp_FOUND)
            set(GPG_FOUND TRUE)
            set(GPG_DIR ${Gpgmepp_DIR})
            set(GPG_LIBRARY Gpgmepp)
            set(GPG_VERSION ${Gpgmepp_VERSION})
        endif()
    endif()
endif()
if(GPG_FOUND)
    message(STATUS "Found GPG: ${GPG_DIR} (version \"${GPG_VERSION}\")")
    find_path(GPGMEPP_HEADER_DIR "gpgme++/error.h" ${CMAKE_SYSTEM_INCLUDE_PATH})
    file(READ "${GPGMEPP_HEADER_DIR}/gpgme++/error.h" GPGMEPP_ERROR_H_CONTENT)
    string(FIND "${GPGMEPP_ERROR_H_CONTENT}" "std::string asStdString() const" FOUND_AS_STD_STRING)
    set(HAVE_GPGMEPP_AS_STD_STRING FALSE)
    if (${FOUND_AS_STD_STRING} GREATER 0)
        set(HAVE_GPGMEPP_AS_STD_STRING TRUE)
        message(STATUS "Found GpgME::Error::asStdString")
    endif()
endif()

cmake_dependent_option(ENABLE_GPG "Enable GPG support." ON
                       "GPG_FOUND" OFF)

add_feature_info("Encryption" ENABLE_GPG "Allows to store your financial data using strong GPG encryption.")





find_package(PkgConfig)
if (PkgConfig_FOUND)
  pkg_check_modules(SQLCIPHER sqlcipher IMPORTED_TARGET)
endif()

find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED COMPONENTS Core DBus Widgets Svg Xml Test PrintSupport)
find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} OPTIONAL_COMPONENTS Sql Concurrent QuickWidgets)

if (Qt6Sql_VERSION VERSION_GREATER_EQUAL "6.10.0")
  find_package(Qt6 REQUIRED COMPONENTS SqlPrivate)
endif()

find_package(KF${QT_MAJOR_VERSION} ${KF_MIN_VERSION} REQUIRED COMPONENTS Archive CoreAddons Config ConfigWidgets Crash I18n Completion KCMUtils ItemModels ItemViews Service XmlGui TextWidgets Notifications KIO)

# For KF < 5.100 we need to fix a few method names that
# have been deprecated but are not available before that version.
# Once the KF_MIN_VERSION of this project is >= 5.100 this
# whole block can be removed
if (${KF_MIN_VERSION} VERSION_LESS "5.100")
    if (${KF5_VERSION} VERSION_LESS "5.100")
        add_definitions(
            -DquestionTwoActions=questionYesNo
            -DquestionTwoActionsCancel=questionYesNoCancel
            -DwarningTwoActions=warningYesNo
            -DwarningTwoActionsCancel=warningYesNoCancel
            -DPrimaryAction=Yes
            -DSecondaryAction=No
        )
    endif()
elseif(NOT BUILD_WITH_QT6)
    message(FATAL_ERROR "Remove the above logic from CMakeLists.txt since it is not needed anymore")
endif()

if(BUILD_WITH_QT6)
    find_package(PlasmaActivities)
else()
    set(KF_ACTIVITIES Activities)
endif()
find_package(KF${QT_MAJOR_VERSION} ${KF_MIN_VERSION} OPTIONAL_COMPONENTS DocTools Holidays Contacts ${KF_ACTIVITIES})
if (DEFINED AKONADI_MIN_VERSION)
  # Akonadi 23.04 moved to KPim5 prefix, deprecating KF5
  set(PIMPREFIX KPim${QT_MAJOR_VERSION})
  find_package(${PIMPREFIX}Akonadi ${AKONADI_MIN_VERSION} QUIET)
  if(NOT ${PIMPREFIX}Akonadi_FOUND)
    set(PIMPREFIX KF${QT_MAJOR_VERSION})
    find_package(${PIMPREFIX}Akonadi ${AKONADI_MIN_VERSION} QUIET)
  endif()
  if(${PIMPREFIX}Akonadi_FOUND)
    # for config-kmymoney.h.cmake
    set(ADDRESSBOOK_VERSION ${${PIMPREFIX}Akonadi_VERSION})
  endif()
  if(AKONADI_MIN_VERSION VERSION_GREATER_EQUAL "6.0.0")
    find_package(${PIMPREFIX}IdentityManagementCore ${AKONADI_MIN_VERSION} QUIET)
  else()
    find_package(${PIMPREFIX}IdentityManagement ${AKONADI_MIN_VERSION} QUIET)
  endif()
endif()

find_package(Qt${QT_MAJOR_VERSION}Keychain CONFIG REQUIRED)

if(LibAlkimia${QT_MAJOR_VERSION}_DIR)
  set(_LibAlkimia${QT_MAJOR_VERSION}_DIR ${LibAlkimia${QT_MAJOR_VERSION}_DIR})
endif()
find_package(LibAlkimia${QT_MAJOR_VERSION} ${KMM_ALKIMIA_MIN_VERSION} REQUIRED)
if (NOT LibAlkimia${QT_MAJOR_VERSION}_FOUND)
  # restore LibAlkimia5_DIR set to NOTFOUND by first find_package call
  if(_LibAlkimia${QT_MAJOR_VERSION}_DIR)
    set(LibAlkimia${QT_MAJOR_VERSION}_DIR ${_LibAlkimia${QT_MAJOR_VERSION}_DIR})
  endif()
  find_package(LibAlkimia${QT_MAJOR_VERSION} 8.1 REQUIRED)
endif()

if(BUILD_WITH_QT6)
    find_package(KChart6 ${KMM_KCHART_MIN_VERSION} QUIET)
else()
    find_package(KChart ${KMM_KCHART_MIN_VERSION} QUIET)
endif()

# we want the lowercase 'libofx' package name, for 'libofx_FOUND' compatibility with what pkg-config returns,
# in case it is to be used as fallback
find_package(libofx ${KMM_LIBOFX_MIN_SOVERSION} NAMES LibOFX libofx)
if(NOT libofx_FOUND)
    find_package(PkgConfig)

    if(PkgConfig_FOUND)
        pkg_check_modules(libofx IMPORTED_TARGET libofx)

        if(libofx_FOUND)
            if (${libofx_VERSION} VERSION_GREATER_EQUAL ${KMM_LIBOFX_MIN_VERSION})
                set(libofx_FOUND TRUE)
                add_library(libofx::libofx INTERFACE IMPORTED)
                target_link_libraries(libofx::libofx INTERFACE PkgConfig::libofx)
                message(STATUS "Version ${libofx_VERSION} of libofx found and is larger than the required version ${KMM_LIBOFX_MIN_VERSION}")
            else()
                message(STATUS "Version ${libofx_VERSION} of libofx does not meet min. required version ${KMM_LIBOFX_MIN_VERSION}")
                set(libofx_FOUND FALSE)
            endif()
        endif()
    endif()
endif()


add_definitions(-DQT_USE_QSTRINGBUILDER -DQT_NO_CAST_TO_ASCII -DQT_NO_URL_CAST_FROM_STRING -DQT_NO_KEYWORDS)
set(CMAKE_CXX_STANDARD 14)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS OFF)

# use DBus only on Linux
if(CMAKE_SYSTEM_NAME MATCHES "Linux")
  set(KMM_DBUS 1)
endif()

set(CMAKE_INCLUDE_CURRENT_DIR ON)
include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR})

# check for Doxygen
find_package(Doxygen)
if(DOXYGEN_FOUND)
  set(APIDOC_DIR ${CMAKE_CURRENT_BINARY_DIR}/apidocs)

  make_directory("${APIDOC_DIR}")
  configure_file(${CMAKE_CURRENT_SOURCE_DIR}/kmymoney.doxygen.in ${CMAKE_CURRENT_BINARY_DIR}/kmymoney.doxygen IMMEDIATE)

  add_custom_target(apidoc "${DOXYGEN}" "${CMAKE_CURRENT_BINARY_DIR}/kmymoney.doxygen")
endif(DOXYGEN_FOUND)
add_feature_info("Doxygen" DOXYGEN_FOUND "Generate API documentation with Doxygen (for devs only).")

# check some include files exists
set(CMAKE_REQUIRED_DEFINITIONS -D_XOPEN_SOURCE=500 -D_BSD_SOURCE)
include (CheckIncludeFileCXX)
check_include_file_cxx("unistd.h" HAVE_UNISTD_H)
check_include_file_cxx("pwd.h" HAVE_PWD_H)
check_include_file_cxx("windows.h" HAVE_WINDOWS_H)
check_include_file_cxx("lmcons.h" HAVE_LMCONS_H)
check_include_file_cxx("process.h" HAVE_PROCESS_H)

# include check for members in structs
include (CheckStructHasMember)

######################### Special Requirements ##########################

if(QT_MAJOR_VERSION LESS 6)
  # This is needed for QtSqlite and QtDesigner
  # (they'll install files to ${QT_INSTALL_DIR}/plugins/)
  get_filename_component(QT_BIN_DIR "${QT_MOC_EXECUTABLE}" PATH)
  get_filename_component(QT_DIR     ${QT_BIN_DIR}        PATH)

=== doc/CMakeLists.txt ===
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/en SUBDIR kmymoney)
kdoctools_create_manpage(man-kmymoney.1.docbook 1 INSTALL_DESTINATION ${KDE_INSTALL_MANDIR})

if(ENABLE_DOCBOOK_HTML AND DocBookXSL_FOUND AND XSLTPROC_EXECUTABLE)
    if(ENABLE_DOCBOOK_HTML_INSTALL)
        set(INSTALL_OPT INSTALL)
    endif()
    add_docbook_manual(
        TARGET_NAME doc-en-index-html
        DOCBOOK_SRC ${CMAKE_SOURCE_DIR}/doc/index.docbook
        SRC_DIR ${CMAKE_SOURCE_DIR}/doc
        CUSTOM_CSS kmymoney.css
        OUTPUT_DIR ${CMAKE_BINARY_DIR}/doc/en/kmymoney
        INSTALL_DIR ${KDE_INSTALL_DOCBUNDLEDIR}/en/kmymoney
        ${INSTALL_OPT}
    )
    list(APPEND ALL_MANUAL_TARGETS doc-en-index-html)

    file(GLOB LANG_DIRS RELATIVE ${CMAKE_SOURCE_DIR}/po ${CMAKE_SOURCE_DIR}/po/*)
    set(_langs)
    foreach(lang ${LANG_DIRS})
        set(SOURCE ${CMAKE_SOURCE_DIR}/po/${lang}/docs/kmymoney/index.docbook)
        if(EXISTS ${SOURCE})
            list(APPEND _langs ${lang})
            add_docbook_manual(
                TARGET_NAME doc-${lang}-index-html
                DOCBOOK_SRC ${SOURCE}
                COMMON_ASSETS_DIR ${CMAKE_SOURCE_DIR}/doc
                CUSTOM_CSS kmymoney.css
                OUTPUT_DIR ${CMAKE_BINARY_DIR}/po/${lang}/docs/kmymoney
                SRC_DIR ${CMAKE_SOURCE_DIR}/po/${lang}/docs/kmymoney
                INSTALL_DIR ${KDE_INSTALL_DOCBUNDLEDIR}/${lang}/kmymoney
                ${INSTALL_OPT}
            )
            list(APPEND ALL_MANUAL_TARGETS doc-${lang}-index-html)
        endif()
    endforeach()
    message(STATUS "Generating manual in html format for '${_langs}'")
    # Create an aggregate target that depends on all manual targets
    add_custom_target(doc-html ALL
        DEPENDS ${ALL_MANUAL_TARGETS}
        COMMENT "Build all DocBook HTML manuals"
    )
endif()

=== kmymoney/misc/CMakeLists.txt ===
set( kmm_utils_validators_SRCS
  charvalidator.cpp
  validators.cpp
)

set( kmm_url_SRCS
  kmmurl.cpp
)

set( kmm_textbrowser_SRCS
  kmmtextbrowser.cpp
)
set( kmm_webconnect_SRCS
  webconnect.cpp
  kmmonlinequotesprofilemanager.cpp
)

set ( kmm_keychain_SRCS
  kmmkeychain.cpp
)

set ( kmm_yesno_SRCS
  kmmyesno.cpp
)

if( "${HAVE_UNISTD_H}" AND "${HAVE_PWD_H}" )
  set( kmm_utils_platformtools_SRCS
    platformtools_gnu.cpp
  )
elseif( "${HAVE_WINDOWS_H}" AND "${HAVE_LMCONS_H}" AND "${HAVE_PROCESS_H}" )
  set( kmm_utils_platformtools_SRCS
    platformtools_nognu.cpp
  )
else()
  message(FATAL_ERROR "make sure either windows.h and lmcons.h (on msvc platforms) or unistd.h and pwd.h (on other platforms) are present.")
endif()

set( kmm_utils_validators_HEADER
  charvalidator.h
  validators.h
)

set( kmm_webconnect_HEADER
  webpricequote.h
  webconnect.h
)

set ( kmm_keychain_HEADER
  kmmkeychain.h
)

set( kmm_utils_platformtools_HEADER
  platformtools.h
)

set( kmm_url_HEADER
  kmmurl.h
)

set( kmm_textbrowser_HEADER
  kmmtextbrowser.h
)

set( kmm_printer_SRCS
  kmm_printer.cpp
)

set( kmm_selections_SRCS
  selectedobjects.cpp
)

set( kmm_menuactionexchanger_SRCS
  kmm_menuactionexchanger.cpp
)

set( kmm_kcmodule_SRCS
  kmm_kcmodule.h
)

set( kmm_codec_SRCS
  kmm_codec.cpp
)

add_library(kmm_utils_validators STATIC ${kmm_utils_validators_SRCS})
add_library(kmm_utils_platformtools STATIC ${kmm_utils_platformtools_SRCS})
add_library(kmm_url STATIC ${kmm_url_SRCS})
add_library(kmm_textbrowser STATIC ${kmm_textbrowser_SRCS})
add_library(kmm_webconnect ${kmm_webconnect_SRCS})
add_library(kmm_keychain ${kmm_keychain_SRCS})
add_library(kmm_printer ${kmm_printer_SRCS})
add_library(kmm_selections ${kmm_selections_SRCS})
add_library(kmm_yesno ${kmm_yesno_SRCS})
add_library(kmm_menuactionexchanger ${kmm_menuactionexchanger_SRCS})
add_library(kmm_kcmodule STATIC ${kmm_kcmodule_SRCS})
add_library(kmm_codec ${kmm_codec_SRCS})

target_link_libraries( kmm_utils_validators
  PUBLIC
  Qt::Core
  Qt::Gui
)

target_link_libraries( kmm_webconnect
  PUBLIC
    Qt::Core
    Qt::Network
    KF${QT_MAJOR_VERSION}::ConfigCore
    KF${QT_MAJOR_VERSION}::Service
    KF${QT_MAJOR_VERSION}::Codecs
    KF${QT_MAJOR_VERSION}::KIOCore
    KF${QT_MAJOR_VERSION}::KIOWidgets
    Alkimia::alkimia
    kmm_mymoney
    kmm_csvimportercore
  PRIVATE
    KF${QT_MAJOR_VERSION}::I18n
)

target_link_libraries( kmm_keychain
  PUBLIC
  Qt::Core
  qt${QT_MAJOR_VERSION}keychain
)

target_link_libraries( kmm_utils_platformtools
  PUBLIC
  Qt::Core
)

target_link_libraries( kmm_url
  PUBLIC
  Qt::Core
)

target_link_libraries( kmm_textbrowser
  PUBLIC
  Qt::Core
  Qt::Widgets
)

target_link_libraries(kmm_printer
  PUBLIC
  Qt::Core
  Qt::PrintSupport
)

target_link_libraries( kmm_selections
  PUBLIC
  Qt::Core
)

target_link_libraries(kmm_yesno
  PRIVATE
    KF${QT_MAJOR_VERSION}::I18n
    KF${QT_MAJOR_VERSION}::WidgetsAddons
)

target_link_libraries(kmm_menuactionexchanger
  PUBLIC
    Qt::Core
    Qt::Widgets
)

target_link_libraries(kmm_kcmodule
  PUBLIC
    Qt::Core
    Qt::Widgets
    KF${QT_MAJOR_VERSION}::KCMUtils
)

target_link_libraries(kmm_codec
  PUBLIC
    Qt::Core
    Qt::Widgets
)

set_target_properties(kmm_selections PROPERTIES
  VERSION ${PROJECT_VERSION} SOVERSION ${PROJECT_VERSION_MAJOR}
)
generate_export_header(kmm_selections)

set_target_properties(kmm_printer PROPERTIES
  VERSION ${PROJECT_VERSION} SOVERSION ${PROJECT_VERSION_MAJOR}
)
generate_export_header(kmm_printer)

set_target_properties(kmm_webconnect PROPERTIES
  VERSION ${PROJECT_VERSION} SOVERSION ${PROJECT_VERSION_MAJOR}
)
generate_export_header(kmm_webconnect)

set_target_properties(kmm_keychain PROPERTIES
        VERSION ${PROJECT_VERSION} SOVERSION ${PROJECT_VERSION_MAJOR}
)
generate_export_header(kmm_keychain)

set_target_properties(kmm_yesno PROPERTIES
  VERSION ${PROJECT_VERSION} SOVERSION ${PROJECT_VERSION_MAJOR}
)
generate_export_header(kmm_yesno)

set_target_properties(kmm_menuactionexchanger PROPERTIES
  VERSION ${PROJECT_VERSION} SOVERSION ${PROJECT_VERSION_MAJOR}
)
generate_export_header(kmm_menuactionexchanger)

set_target_properties(kmm_kcmodule PROPERTIES
  VERSION ${PROJECT_VERSION} SOVERSION ${PROJECT_VERSION_MAJOR}
)

set_target_properties(kmm_codec PROPERTIES
  VERSION ${PROJECT_VERSION} SOVERSION ${PROJECT_VERSION_MAJOR}
)
generate_export_header(kmm_codec)

set( kmm_gpgfile_SRCS
kgpgfile.cpp
)
add_library(kmm_gpgfile ${kmm_gpgfile_SRCS})
target_link_libraries(kmm_gpgfile
    PUBLIC
        Qt::Core
        ${GPG_LIBRARY}
)

set_target_properties(kmm_gpgfile PROPERTIES
    VERSION ${PROJECT_VERSION} SOVERSION ${PROJECT_VERSION_MAJOR}
)
generate_export_header(kmm_gpgfile)

install(TARGETS kmm_gpgfile ${INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/kmm_gpgfile_export.h DESTINATION ${KDE_INSTALL_INCLUDEDIR}/kmymoney COMPONENT Devel)

install(TARGETS
        kmm_printer
        kmm_webconnect
        kmm_keychain
        kmm_selections
        kmm_yesno
        kmm_menuactionexchanger
	kmm_codec
        ${INSTALL_TARGETS_DEFAULT_ARGS} )

install(FILES
        ${CMAKE_CURRENT_BINARY_DIR}/kmm_printer_export.h
        ${CMAKE_CURRENT_BINARY_DIR}/kmm_selections_export.h
        ${CMAKE_CURRENT_BINARY_DIR}/kmm_webconnect_export.h
        ${CMAKE_CURRENT_BINARY_DIR}/kmm_keychain_export.h
        ${CMAKE_CURRENT_BINARY_DIR}/kmm_yesno_export.h
        ${CMAKE_CURRENT_BINARY_DIR}/kmm_menuactionexchanger_export.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR}/kmymoney COMPONENT Devel)

=== kmymoney/mymoney/CMakeLists.txt ===
add_subdirectory( xmlhelper )
add_subdirectory( storage )
add_subdirectory( payeeidentifier )

########### next target ###############

set(kmm_mymoney_LIB_SRCS
  mymoneymoney.cpp mymoneyfinancialcalculator.cpp
  mymoneytransactionfilter.cpp
  mymoneyfile.cpp mymoneykeyvaluecontainer.cpp
  mymoneyobject.cpp
  mymoneypayeeidentifiercontainer.cpp
  mymoneysplit.cpp mymoneyinstitution.cpp
  mymoneyinvesttransaction.cpp mymoneyutils.cpp
  mymoneysecurity.cpp mymoneytransaction.cpp mymoneyschedule.cpp
  mymoneypayee.cpp mymoneytracer.cpp
  mymoneytag.cpp
  mymoneycategory.cpp
  mymoneycostcenter.cpp
  mymoneyaccount.cpp mymoneyaccountloan.cpp
  mymoneyreport.cpp mymoneystatement.cpp mymoneyprice.cpp mymoneybudget.cpp
  mymoneyforecast.cpp
  mymoneyqifprofile.cpp
  mymoneytemplate.cpp
  mymoneybalancecache.cpp
  mymoneyfactory.cpp
  onlinejob.cpp
  onlinejobadministration.cpp
  onlinejobmessage.cpp
  onlinejobfolder.cpp
  onlinepricemodel.cpp
  mymoneycontact.cpp
  payeeidentifiermodel.cpp
  statusmodel.cpp
  splitmodel.cpp
  )

  # storage_a_SOURCES cannot be set in storage directory on MS Windows
  # because, while building kmm_storage, linker reports many undefined symbols
  # which are in fact available in kmm_mymoney
  set(storage_a_SOURCES
    ./storage/imymoneystorageformat.cpp
    ./storage/mymoneymodelbase.cpp
    ./storage/payeesmodel.cpp
    ./storage/costcentermodel.cpp
    ./storage/schedulesmodel.cpp
    ./storage/tagsmodel.cpp
    ./storage/securitiesmodel.cpp
    ./storage/budgetsmodel.cpp
    ./storage/accountsmodel.cpp
    ./storage/institutionsmodel.cpp
    ./storage/journalmodel.cpp
    ./storage/pricemodel.cpp
    ./storage/parametersmodel.cpp
    ./storage/onlinejobsmodel.cpp
    ./storage/reportsmodel.cpp
    ./storage/reconciliationmodel.cpp
    ./storage/specialdatesmodel.cpp
    ./storage/schedulesjournalmodel.cpp
    ./storage/templatesmodel.cpp
    )

  set(onlineTask_a_SOURCES
  ./onlinetasks/sepa/sepaonlinetransferimpl.cpp
  ./onlinetasks/sepa/sepaonlinetransfer.cpp
  ./onlinetasks/unavailabletask/tasks/unavailabletask.cpp
  )

  set(xmlhelper_a_SOURCES
  ./xmlhelper/xmlstoragehelper.cpp
  )

  # NOTE: this payeeIdentifier and its cmake file cannot be used as a template
  # This payeeIdentifier must be linked with payeeIdentifierLoader because it
  # is a fallback if something failed during loading of plugins (for xml files only)
  set(payeeidentifier_a_SOURCES
  ./payeeidentifier/ibanbic/ibanbic.cpp
  ./payeeidentifier/nationalaccount/nationalaccount.cpp
  ./payeeidentifier/unavailableplugin/unavailableplugin.cpp
  )

list(APPEND storage_a_SOURCES $<$<OR:$<CONFIG:Debug>,$<CONFIG:DebugFull>,$<CONFIG:DebugKMM>>: ./storage/mymoneystoragedump.cpp>)
list(APPEND kmm_mymoney_LIB_SRCS ${storage_a_SOURCES})
list(APPEND kmm_mymoney_LIB_SRCS ${onlineTask_a_SOURCES})
list(APPEND kmm_mymoney_LIB_SRCS ${payeeidentifier_a_SOURCES})
list(APPEND kmm_mymoney_LIB_SRCS ${xmlhelper_a_SOURCES})

set(mymoney_HEADERS ${CMAKE_CURRENT_BINARY_DIR}/kmm_mymoney_export.h
  mymoneyobject.h mymoneyaccount.h mymoneycategory.h mymoneyexception.h
  mymoneyfile.h mymoneyfinancialcalculator.h mymoneyinstitution.h
  mymoneyinvesttransaction.h mymoneykeyvaluecontainer.h mymoneymoney.h
  mymoneypayee.h mymoneytag.h mymoneyprice.h mymoneyreport.h
  mymoneyschedule.h mymoneysecurity.h mymoneysplit.h mymoneystatement.h
  mymoneytransactionfilter.h mymoneytransaction.h
  mymoneyutils.h mymoneybudget.h mymoneyforecast.h
  imymoneyprocessingcalendar.h
  mymoneycostcenter.h
  mymoneyenums.h
  mymoneyqifprofile.h
  mymoneytemplate.h
  mymoneyunittestable.h
  mymoneypayeeidentifiercontainer.h
  onlinejob.h
  onlinejobtyped.h
  onlinejobmessage.h
  onlinejobfolder.h
  )

add_library(kmm_mymoney ${kmm_mymoney_LIB_SRCS})

if (USE_MODELTEST)
  target_compile_definitions(kmm_mymoney PRIVATE -DKMM_MODELTEST)
endif()

generate_export_header(kmm_mymoney BASE_NAME kmm_mymoney)

target_link_libraries(kmm_mymoney
                      PUBLIC
                      kmm_icons
                      Qt::Xml
                      Qt::Core
                      Qt::Gui
                      KF${QT_MAJOR_VERSION}::Service
                      KF${QT_MAJOR_VERSION}::I18n
                      KF${QT_MAJOR_VERSION}::ItemModels
                      KF${QT_MAJOR_VERSION}::ConfigCore
                      $<$<BOOL:${BUILD_WITH_QT6}>:KF${QT_MAJOR_VERSION}::CoreAddons>
                      Alkimia::alkimia
                      kmm_payeeidentifier
                      kmm_plugin
                      # TODO: fix this
                      KF${QT_MAJOR_VERSION}::XmlGui
                      PRIVATE
                      kmm_keychain
                      onlinetask_interfaces
                      $<$<BOOL:${USE_MODELTEST}>:Qt::Test>
)

if(ENABLE_ADDRESSBOOK)
  target_link_libraries(kmm_mymoney
    PUBLIC
    $<$<BOOL:${${PIMPREFIX}IdentityManagement_FOUND}>:${PIMPREFIX}::IdentityManagement>
    $<$<BOOL:${${PIMPREFIX}IdentityManagementCore_FOUND}>:${PIMPREFIX}::IdentityManagementCore>
    ${PIMPREFIX}::AkonadiCore
    KF${QT_MAJOR_VERSION}::Contacts
  )
endif()

set_target_properties(kmm_mymoney PROPERTIES VERSION ${PROJECT_VERSION} SOVERSION ${PROJECT_VERSION_MAJOR})

# create gdb pretty printer in build directory
add_custom_command(TARGET kmm_mymoney POST_BUILD
    COMMAND ${CMAKE_COMMAND} -E copy "${CMAKE_CURRENT_SOURCE_DIR}/kmm_mymoney-gdb.py" "$<TARGET_FILE_DIR:kmm_mymoney>/$<TARGET_FILE_NAME:kmm_mymoney>-gdb.py"
)

########### install files ###############

install(TARGETS kmm_mymoney
  ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} )

install(FILES ${mymoney_HEADERS}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR}/kmymoney COMPONENT Devel)

############## tests ####################

if(BUILD_TESTING)
  add_subdirectory(tests)
endif()

=== kmymoney/plugins/ofx/import/CMakeLists.txt ===
# patch the version with the version defined in the build system
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/ofximporter.json.cmake ${CMAKE_CURRENT_BINARY_DIR}/ofximporter.json @ONLY)

add_subdirectory( dialogs )

########### next target ###############

set(ofximporter_PART_SRCS
  ofximporter.cpp
  ofxpartner.cpp
)

set(ofximporter_PART_UI
  importoption.ui
)

ki18n_wrap_ui(ofximporter_PART_SRCS ${ofximporter_PART_UI})

qt_add_resources(ofximporter_PART_SRCS ofximporter.qrc)

kmymoney_add_plugin(ofximporter SOURCES ${ofximporter_PART_SRCS})

target_link_libraries(ofximporter
  ofximporter_dialogs
  kmm_mymoney
  kmm_widgets
  kmm_plugin
  kmm_keychain
  Qt::Xml
  Alkimia::alkimia
  libofx::libofx
)

target_include_directories(ofximporter
  PRIVATE
  ${CMAKE_CURRENT_SOURCE_DIR}/dialogs
  ${CMAKE_CURRENT_BINARY_DIR}/dialogs
)

=== kmymoney/plugins/views/reports/core/tests/data/CMakeLists.txt ===
set(infotable_test_files
  test-general-information.xml
)

set(querytable_test_files
  test-382245.xml
  test-423870.xml
  test-424674.xml
  test-448788.xml
  test-453033.xml
  test-469195.xml
  test-cash-flow.xml
  test-investment.xml
  test-net-worth.xml
  test-transactions.xml
  refinance-loan.xml
)

set(pivottable_test_files
  test-income-and-expenses.xml
  test-net-worth.xml
  test-pivottable.xml
)

macro(fetch_report_names file)
  set(options)
  set(oneValueArgs)
  set(multiValueArgs RETURN_NAMES RETURN_TYPES RETURN_IDS)
  cmake_parse_arguments(FRN "${options}" "${oneValueArgs}" "${multiValueArgs}" ${ARGN})

  set(${FRN_RETURN_NAMES})
  set(${FRN_RETURN_TYPES})
  set(${FRN_RETURN_IDS})
  file(STRINGS
    ${file} lines
    REGEX ".*<REPORT .*"
    ENCODING UTF-8
  )
  foreach(line ${lines})
    string(REGEX REPLACE "<REPORT (.*)[/]?>" "\\1" l ${line})
    #message( "++++ ${l}")
    string(REGEX REPLACE " ([a-zA-Z0-9]+=)" ";\\1" attributes ${l})
    foreach(m ${attributes})
      if (m MATCHES "^name=\"(.*)\"")
        list(APPEND ${FRN_RETURN_NAMES} ${CMAKE_MATCH_1})
      endif()
      if (m MATCHES "^type=\"(.*)\"")
        list(APPEND ${FRN_RETURN_TYPES} ${CMAKE_MATCH_1})
      endif()
      if (m MATCHES "^id=\"(.*)\"")
          list(APPEND ${FRN_RETURN_IDS} ${CMAKE_MATCH_1})
      endif()
    endforeach()
  endforeach()
endmacro()

macro(to_test_and_file_name)
  set(options)
  set(oneValueArgs TYPE BASENAME REPORT_NAME)
  set(multiValueArgs RETURN_TEST_NAME RETURN_FILE_NAME)
  cmake_parse_arguments(TTAFN "${options}" "${oneValueArgs}" "${multiValueArgs}" ${ARGN})

  string(REGEX REPLACE "[ .]" "-" _rn ${TTAFN_REPORT_NAME})
  string(REGEX REPLACE "[^. a-zA-Z0-9_-]" "_" _rn ${_rn})
  set(${TTAFN_RETURN_TEST_NAME} reports-${TTAFN_TYPE}-${TTAFN_BASENAME}-${_rn})
  set(${TTAFN_RETURN_FILE_NAME} ${TTAFN_BASENAME}-report-${TTAFN_TYPE}-${_rn})
endmacro()

macro(add_report_tests)
   set(options)
   set(oneValueArgs TYPE)
   set(multiValueArgs FILES FORMATS)
   cmake_parse_arguments(ART "${options}" "${oneValueArgs}" "${multiValueArgs}" ${ARGN})

  foreach(file ${ART_FILES})
    cmake_path(GET file STEM basename)
    message(STATUS "${file}")
    fetch_report_names(${file} RETURN_NAMES report_names RETURN_TYPES report_types RETURN_IDS report_ids)
    set(i 0)
    list(LENGTH report_names j)
    while(i LESS j)
      list(GET report_names ${i} rn)
      list(GET report_types ${i} rt)
      list(GET report_ids ${i} id)
      math(EXPR i "${i} + 1")
      if(NOT rt MATCHES "${ART_TYPE}.*")
        continue()
      endif()
      foreach(format ${ART_FORMATS})
        to_test_and_file_name(TYPE ${ART_TYPE} BASENAME ${basename} REPORT_NAME ${rn} RETURN_TEST_NAME test_name RETURN_FILE_NAME file_name)
        message(" * adding test '${test_name}-${format}' for report '${rn}' with type '${rt}' and id '${id}'")
        add_test(
          NAME ${test_name}-${format}
          COMMAND ${CMAKE_COMMAND}
            -Dlauncher=$<TARGET_FILE:kmmreport-export>
            -Dtestfile=${CMAKE_CURRENT_SOURCE_DIR}/${file}
            -Dformat=${format}
            -Dtype=${ART_TYPE}
            -Dreport=${rn}
            -Doutfilename=${CMAKE_CURRENT_BINARY_DIR}/${file_name}.${format}
            -Dreffilename=${CMAKE_CURRENT_SOURCE_DIR}/${file_name}.${format}
            -Dworkingdir=${CMAKE_CURRENT_BINARY_DIR}
            -P ${CMAKE_CURRENT_SOURCE_DIR}/compare.cmake
        )
        set_tests_properties(${test_name}-${format}
          PROPERTIES
            SKIP_REGULAR_EXPRESSION "is missing" "SKIP" "Skipped"
            ENVIRONMENT ${KMM_ADD_TESTS_ENVIRONMENT}
          )
      endforeach()
    endwhile()
  endforeach()
endmacro()

add_report_tests(TYPE infotable FILES ${infotable_test_files} FORMATS csv)
add_report_tests(TYPE querytable FILES ${querytable_test_files} FORMATS csv)
add_report_tests(TYPE pivottable FILES ${pivottable_test_files} FORMATS csv)

=== debian/changelog ===
kmymoney (5.2.1+p24.04+vunstable+git20251009.0543-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 09 Oct 2025 05:43:52 +0000

=== debian/control ===
Source: kmymoney
Section: kde
Priority: optional
Uploaders: Pino Toscano <pino@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               doxygen,
               gettext,
               kf6-extra-cmake-modules,
               kf6-karchive-dev,
               kf6-kcmutils-dev,
               kf6-kcompletion-dev,
               kf6-kconfig-dev,
               kf6-kconfigwidgets-dev,
               kf6-kcontacts-dev,
               kf6-kcoreaddons-dev,
               kf6-kdoctools-dev,
               kf6-kholidays-dev,
               kf6-ki18n-dev,
               kf6-kiconthemes-dev,
               kf6-kio-dev,
               kf6-kitemmodels-dev,
               kf6-kitemviews-dev,
               kf6-knotifications-dev,
               kf6-kservice-dev,
               kf6-ktextwidgets-dev,
               kf6-kwallet-dev,
               kf6-kxmlgui-dev,
               kpim6-akonadi-contacts-dev,
               kpim6-akonadi-dev,
               kpim6-kidentitymanagement-dev,
               kpim6-kpimtextedit-dev,
               libalkimia6-dev,
               libaqbanking-dev,
               libcups2-dev,
               libgmp-dev,
               libgpg-error-dev,
               libgpgme-dev,
               libgpgmepp-dev,
               libgwengui-qt6-dev,
               libgwenhywfar-core-dev,
               libical-dev,
               libkchart6-dev,
               libofx-dev,
               libqgpgmeqt6-dev,
               libsqlcipher-dev,
               libsqlite3-dev,
               pkg-kde-tools-neon,
               pkgconf,
               plasma-activities-dev,
               python3-dev,
               qt6-5compat-dev,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-svg-dev,
               qt6-webengine-dev,
               qtkeychain-qt6-dev,
               xsltproc
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://kmymoney.org/
Vcs-Git: https://invent.kde.org/neon/extras/kmymoney.git
Vcs-Browser: https://invent.kde.org/neon/extras/kmymoney
Maintainer: Neon CI <neon@kde.org>

Package: kmymoney
Architecture: any
Depends: qt6-base, ${misc:Depends}, ${shlibs:Depends}
Breaks: kmymoney-common (<< ${source:Version}~ciBuild)
Replaces: kmymoney-common (<< ${source:Version}~ciBuild)
Recommends: gnupg-agent, pinentry-qt | pinentry-x11
Suggests: kcalc | kalk
Description: personal finance manager for KDE
 KMyMoney is the Personal Finance Manager for KDE. It operates similar to
 MS-Money and Quicken, supports different account types, categorisation of
 expenses, QIF import/export, multiple currencies and initial online banking
 support.

Package: kmymoney-dev
Architecture: any
Depends: kmymoney, qt6-declarative-dev, ${misc:Depends}, ${perl:Depends}
Recommends: libfinance-quote-perl
Description: KMyMoney development files
 KMyMoney is the Personal Finance Manager for KDE. It operates similar to
 MS-Money and Quicken, supports different account types, categorisation of
 expenses, QIF import/export, multiple currencies and initial online banking
 support.
 .
 This package contains development files needed for KMyMoney.

Package: kmymoney-common
Depends: kmymoney, ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 This is a transitional package. It can safely be removed.

=== debian/rules ===
#!/usr/bin/make -f
# SPDX-License-Identifier: LGPL-2.0-or-later
# # SPDX-FileCopyrightText: 2023 Jonathan Riddell <jr@jriddell.org>

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

%:
	dh $@ --with kf6 --buildsystem kf6

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_WITH_QT6=ON -DBUILD_WITH_QT6_CONFIRMED=ON -DUSE_QT_DESIGNER=ON

## kmymoney 5.2.1+p24.04+vunstable+git20251015.1904

=== debian/changelog ===
kmymoney (5.2.1+p24.04+vunstable+git20251015.1904-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 19:05:09 +0000

## kmymoney 5.2.1+p24.04+vunstable+git20251022.0018

=== debian/changelog ===
kmymoney (5.2.1+p24.04+vunstable+git20251022.0018-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 22 Oct 2025 00:18:15 +0000

## kmymoney 5.2.1+p24.04+vunstable+git20251204.0020

=== CMakeLists.txt ===
--- 
+++ 
@@ -188,11 +188,15 @@
   pkg_check_modules(SQLCIPHER sqlcipher IMPORTED_TARGET)
 endif()
 
-find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED COMPONENTS Core DBus Widgets Svg Xml Test PrintSupport)
+find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED COMPONENTS Core DBus Widgets Svg Xml PrintSupport)
 find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} OPTIONAL_COMPONENTS Sql Concurrent QuickWidgets)
 
 if (Qt6Sql_VERSION VERSION_GREATER_EQUAL "6.10.0")
   find_package(Qt6 REQUIRED COMPONENTS SqlPrivate)
+endif()
+
+if(BUILD_TESTING)
+  find_package(Qt${QT_MAJOR_VERSION}Test ${QT_MIN_VERSION} REQUIRED)
 endif()
 
 find_package(KF${QT_MAJOR_VERSION} ${KF_MIN_VERSION} REQUIRED COMPONENTS Archive CoreAddons Config ConfigWidgets Crash I18n Completion KCMUtils ItemModels ItemViews Service XmlGui TextWidgets Notifications KIO)
@@ -290,6 +294,12 @@
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 set(CMAKE_CXX_EXTENSIONS OFF)
 
+# freeBSD error: passing no argument for the '...' parameter of a
+# variadic macro is a C++20 extension [-Werror,-Wc++20-extensions]
+if (CMAKE_CXX_COMPILER_ID MATCHES "Clang")
+    add_compile_options(-Wno-c++20-extensions)
+endif()
+
 # use DBus only on Linux
 if(CMAKE_SYSTEM_NAME MATCHES "Linux")
   set(KMM_DBUS 1)
@@ -322,10 +332,3 @@
 # include check for members in structs
 include (CheckStructHasMember)
 
-######################### Special Requirements ##########################
-
-if(QT_MAJOR_VERSION LESS 6)
-  # This is needed for QtSqlite and QtDesigner
-  # (they'll install files to ${QT_INSTALL_DIR}/plugins/)
-  get_filename_component(QT_BIN_DIR "${QT_MOC_EXECUTABLE}" PATH)
-  get_filename_component(QT_DIR     ${QT_BIN_DIR}        PATH)

=== debian/changelog ===
kmymoney (5.2.1+p24.04+vunstable+git20251204.0020-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 04 Dec 2025 00:20:49 +0000

## kmymoney 5.2.1+p24.04+vunstable+git20251206.0902

=== debian/changelog ===
kmymoney (5.2.1+p24.04+vunstable+git20251206.0902-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 09:02:17 +0000
